
Foreman - Feature #489

Foreman API method to add/change values

11/25/2010 04:04 PM - Matt Moran

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The API is great news and i'm just about to write some code to use it.  I'd like to see a call for adding or changing an existing

variable, be it at a node, group, or domain level.

A PUT method would be nice.  Returning a 201 (created) for a variable that didn't exist, and a 204 (No content) for changing a

variable that already exists.

History

#1 - 03/15/2011 04:02 AM - Ohad Levy

- Status changed from New to Feedback

I think this was already done, can you please try it with a recent foreman version (0.2?)

#2 - 06/19/2011 03:49 AM - Ohad Levy

- Status changed from Feedback to Closed
